routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Auth::routes();
Route::get('/', 'HomeController@client');
Route::get('home', 'HomeController@client')->name('home');
Route::group(['middleware' => 'is_admin'], function () {
  Route::get('admin', 'HomeController@admin')->name('admin.home')->middleware('is_admin');
  
  Route::resource('admin/brand','BrandController');
  Route::resource('admin/kategori','KategoriController');
  Route::resource('admin/list-produk','ProdukController');
  Route::resource('admin/rekening','RekeningController');
  Route::resource('admin/member', 'MemberController');

  Route::get('admin/pesanan', 'PesananController@index');
  Route::post('admin/pesanan/konfirmasi-pembayaran/{id}', 'PesananController@konfirmasiPembayaran');
  Route::post('admin/pesanan/batal-konfirmasi-pembayaran/{id}', 'PesananController@batalKonfirmasiPembayaran');
  Route::post('admin/pesanan/konfirmasi-pengambilan/{id}', 'PesananController@konfirmasiPengambilan');
  Route::post('admin/pesanan/batal-konfirmasi-pengambilan/{id}', 'PesananController@batalKonfirmasiPengambilan');
  Route::post('admin/pesanan/konfirmasi-pengembalian/{id}', 'PesananController@konfirmasiPengembalian');
  Route::post('admin/pesanan/batal-konfirmasi-pengembalian/{id}', 'PesananController@batalKonfirmasiPengembalian');
  
  Route::get('admin/pesanan-detail/{id}','PesananController@pesananDetail');

  Route::get('admin/laporan','LaporanController@index');
});

Route::resource('produk','Client\ProdukController');
Route::get('produk/brand/{brand}','Client\ProdukController@showBrand')->name('produk.show_brand');
Route::get('produk/brand/kategori/{kategori}','Client\ProdukController@showKategori')->name('produk.show_kategori');



Route::get('kontak', 'KontakController@index');

Route::get('profil','Client\ProfilController@index')->name('profil.index');
Route::get('profil/edit', 'Client\ProfilController@edit')->name('profil.edit');
Route::get('profil/avatar/edit', 'Client\ProfilController@editAvatar')->name('profil.edit_avatar');
Route::post('profil/update', 'Client\ProfilController@update')->name('profil.update');
Route::post('profil/avatar/update', 'Client\ProfilController@updateAvatar')->name('profil.update_avatar');
Route::post('profil/avatar/destroy', 'Client\ProfilController@destroyAvatar')->name('profil.destroy_avatar');


Route::get('rental/{id}', 'RentalController@index');
Route::post('rental/{id}', 'RentalController@store');


Route::get('checkout', 'RentalController@checkout');
Route::delete('checkout/{id}', 'RentalController@delete');


Route::get('pembayaran', 'PembayaranController@index');
Route::post('upload-bukti-pembayaran', 'PembayaranController@uploadBukti');

Route::get('pesanan', 'Client\PesananController@index');
Route::get('pesanan-detail/{id}','Client\PesananController@show');

resources/views/admin/home.blade.php
@extends('layouts.admin')

@section('konten')
<!-- Content Header (Page header) -->
<div class="content-header">
  <div class="container-fluid">
    <div class="row mb-2">
      <div class="col-sm-6">
        <h1 class="m-0 text-dark">Dashboard Admin</h1>
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</div>
<!-- /.content-header -->

<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <!-- Small boxes (Stat box) -->
    <div class="row">
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-info">
          <div class="inner">
            <?php
              $pesanan = \App\Pesanan::count();
            ?>
            @if(!empty($pesanan))
            <h3>{{$pesanan}}</h3>
            @else
            <h3>0</h3>
            @endif
            <p>Pesanan</p>
          </div>
          <div class="icon">
            <i class="ion ion-bag"></i>
          </div>
          <a href="{{ url('admin/pesanan') }}" class="small-box-footer">
            More info <i class="fas fa-arrow-circle-right"></i>
          </a>
        </div>
      </div>
      <!-- ./col -->
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-success">
          <div class="inner">
            <?php
              $pesanan_baru = \App\Pesanan::where('status_pengambilan',0)->count();
            ?>
            @if(!empty($pesanan_baru))
            <h3>{{$pesanan_baru}}</h3>
            @else
            <h3>0</h3>
            @endif

            <p>Pesanan Baru</p>
          </div>
          <div class="icon">
            <i class="ion ion-stats-bars"></i>
          </div>
          <a href="{{ url('admin/pesanan') }}" class="small-box-footer">More info <i
              class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->

      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-warning">
          <div class="inner">
            <?php
              $member = \App\User::where('is_admin',0)->count();
            ?>
            @if(!empty($member))
            <h3>{{$member}}</h3>
            @else
            <h3>0</h3>
            @endif

            <p>Member</p>
          </div>
          <div class="icon">
            <i class="ion ion-person-add"></i>
          </div>
          <a href="{{ url('admin/member') }}" class="small-box-footer">More info <i
              class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->
    </div>
    <!-- /.row -->
    <!-- Small boxes (Stat box) -->
    <div class="row">
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-primary">
          <div class="inner">
            <?php
              $produk = \App\Produk::count();
            ?>
            @if(!empty($produk))
            <h3>{{$produk}}</h3>
            @else
            <h3>0</h3>
            @endif
            <p>Produk</p>
          </div>
          <div class="icon">
            <i class="ion ion-bag"></i>
          </div>
          <a href="{{ url('admin/list-produk') }}" class="small-box-footer">
            More info <i class="fas fa-arrow-circle-right"></i>
          </a>
        </div>
      </div>
      <!-- ./col -->
      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-danger">
          <div class="inner">
            <?php
              $kategori = \App\Kategori::count();
            ?>
            @if(!empty($kategori))
            <h3>{{$kategori}}</h3>
            @else
            <h3>0</h3>
            @endif

            <p>Kategori</p>
          </div>
          <div class="icon">
            <i class="ion ion-stats-bars"></i>
          </div>
          <a href="{{ url('admin/kategori') }}" class="small-box-footer">More info <i
              class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->

      <div class="col-lg-4 col-6">
        <!-- small box -->
        <div class="small-box bg-secondary">
          <div class="inner">
            <?php
              $rekening = \App\Rekening::count();
            ?>
            @if(!empty($rekening))
            <h3>{{$rekening}}</h3>
            @else
            <h3>0</h3>
            @endif

            <p>Rekening</p>
          </div>
          <div class="icon">
            <i class="ion ion-person-add"></i>
          </div>
          <a href="{{ url('admin/rekening') }}" class="small-box-footer">More info <i
              class="fas fa-arrow-circle-right"></i></a>
        </div>
      </div>
      <!-- ./col -->
    </div>
    <!-- /.row -->
  </div><!-- /.container-fluid -->
</section>
<!-- /.content -->
@endsection

resources/views/admin/member.blade.php
@extends('layouts.admin')
@section('konten')

<div class="container-fluid p-4">
  <h3 class="text-center">Member</h3>
  @if(!empty($member))
  <div class="table table-responsive">
    <table class="table table-bordered">
      <tr class="text-center">
        <th>No.</th>
        <th>Nama</th>
        <th>Email</th>
        <th>Jenis Kelamin</th>
        <th>Alamat</th>
        <th>No. HP</th>
        <th>No. KTP</th>
        <th>Aksi</th>
      </tr>

      @foreach ($member as $m)
      <tr>
        <td>{{ $loop->iteration }}</td>
        <td>{{ $m->name }}</td>
        <td>{{ $m->email }}</td>
        <td>{{ $m->jk }}</td>
        <td>{{ $m->alamat }}</td>
        <td>{{ $m->hp }}</td>
        <td>{{ $m->no_ktp }}</td>
        <td class="text-center">
          <form action="{{ route('member.destroy',$m->id) }}" method="POST">
            @csrf
            @method('DELETE')
            <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Hapus Data?')"><i
                class="fa fa-trash"></i> Hapus</button>
          </form>
          @endforeach
    </table>
  </div>
  @endif
  {{ $member->links() }}
</div>

@endsection

resources/views/admin/pesanan.blade.php
@extends('layouts.admin')
@section('konten')

<div class="container-fluid p-4">
  @if(session('sukses'))
  <div class="alert alert-success text-center">
    {{session('sukses')}}
  </div>
  @endif
  <h3 class="text-center">Pesanan</h3>
  @if(!empty($pesanan))
  <div class="table table-responsive">
    <table class="table table-bordered">
      <tr class="text-center">
        <th>No. Pesanan</th>
        <th>Tanggal Transaksi</th>
        <th>User</th>
        <th>Total Harga</th>
        <th>Bukti Pembayaran</th>
        <th>Status Pembayaran</th>
        <th>Status Pengambilan</th>
        <th>Status Pengembalian</th>
        <th>Detail</th>
      </tr>

      @foreach ($pesanan as $p)
      <tr>
        <td>{{ $p->id }}</td>
        <td>{{date('d-M-Y, h:s', strtotime($p->tanggal))}}</td>
        <td>{{$p->user->name}}</td>
        <td>Rp. {{ number_format($p->total_harga) }}</td>
        <td>
          <img src="{{asset('img/pembayaran/'.$p->bukti_pembayaran) }}" alt="" width="80px">
        </td>

        <td>
          @if($p->bukti_pembayaran == null)
          <button class="btn btn-warning btn-xs w-100 mb-2 disabled">
            Konfirmasi
          </button>
          </form>
          @elseif ($p->status_pembayaran == 0)
          <form action="pesanan/konfirmasi-pembayaran/{{$p->id}}" method="post">
            {{ csrf_field() }}
            <button type="hidden" name="status_pembayaran" value="1" class="btn btn-warning btn-xs w-100 mb-2">
              Konfirmasi
            </button>
          </form>
          @else
          <p class="text-success text-xs text-center mb-2"><i class="fas fa-check mr-2"></i>Dikonfirmasi</p>
          <form action="pesanan/batal-konfirmasi-pembayaran/{{$p->id}}" method="post">
            {{ csrf_field() }}
            <button type="hidden" name="status_pembayaran" value="0" class="btn btn-danger btn-xs w-100 mb-2">
              Batal
            </button>
          </form>
          @endif
        </td>

        <td>

          @if($p->status_pembayaran == 0)
          <button class="btn btn-warning btn-xs w-100 mb-2 disabled">
            Konfirmasi
          </button>
          @elseif ($p->status_pengambilan == 0)
          <form action="pesanan/konfirmasi-pengambilan/{{$p->id}}" method="post">
            {{ csrf_field() }}
            <button type="hidden" name="status_pengambilan" value="1" class="btn btn-warning btn-xs w-100 mb-2">
              Konfirmasi
            </button>
          </form>
          @else
          <p class="text-success text-xs text-center mb-2"><i class="fas fa-check mr-2"></i>Dikonfirmasi</p>
          <form action="pesanan/batal-konfirmasi-pengambilan/{{$p->id}}" method="post">
            {{ csrf_field() }}
            <button type="hidden" name="status_pengambilan" value="0" class="btn btn-danger btn-xs w-100 mb-2">
              Batal
            </button>
          </form>
          @endif
        </td>

        <td>
          @if($p->status_pengambilan == 0)
          <button class="btn btn-warning btn-xs w-100 mb-2 disabled">
            Konfirmasi
          </button>
          @elseif ($p->status_pengembalian == 0)
          <form action="pesanan/konfirmasi-pengembalian/{{$p->id}}" method="post">
            {{ csrf_field() }}
            <button type="hidden" name="status_pengembalian" value="1" class="btn btn-warning btn-xs w-100 mb-2">
              Konfirmasi
            </button>
          </form>
          @else
          <p class="text-success text-xs text-center mb-2"><i class="fas fa-check mr-2"></i>Dikonfirmasi</p>
          <form action="pesanan/batal-konfirmasi-pengembalian/{{$p->id}}" method="post">
            {{ csrf_field() }}
            <button type="hidden" name="status_pengembalian" value="0" class="btn btn-danger btn-xs w-100 mb-2">
              Batal
            </button>
          </form>
          @endif
        </td>
        <td>
          <a href="/admin/pesanan-detail/{{$p->id}}" class="btn btn-success btn-xs">Detail Pesanan</a>
        </td>
      </tr>
      @endforeach
    </table>
  </div>
  @endif

</div>

@endsection

resources/views/admin/pesanan_detail.blade.php
@extends('layouts.admin')
@section('konten')

<div class="container-fluid p-4">
  <h3 class="text-center mb-3">Detail Pesanan</h3>
  @if(!empty($pesanan_detail))
  <div class="table">
    <table class="table table-bordered table-hover">
      <tr class="text-center">
        <th>No.</th>
        <th>Produk</th>
        <th>Jumlah</th>
        <th>Pinjam</th>
        <th>Kembali</th>
        <th>Harga</th>
      </tr>

      @foreach ($pesanan_detail as $p)
      @if($p == $pesanan_detail->first())
      <div class="row mb-3">
        <div class="col-md-6">
          Nama : {{$p->pesanan->user->name}} <br>
          No Transaksi: {{$p->id}} <br>
          No. HP: {{$p->pesanan->user->hp}} <br>
          No. KTP: {{$p->pesanan->user->no_ktp}} <br>
          Alamat: {{$p->pesanan->user->alamat}} <br>
        </div>
        <div class="col-md-6 text-right">
          Tanggal Transaksi: {{date('d-M-Y', strtotime($p->created_at))}}<br>
          Total Belanja: Rp. {{number_format($p->pesanan->total_harga)}}<br>
        </div>
      </div>
      @endif

      <tr>
        <td>{{ $loop->iteration }}</td>
        <td>{{ $p->produk->nama_produk }}</td>
        <td>{{ $p->jumlah }}</td>
        <td>{{ $p->tanggal_pinjam }}</td>
        <td>{{ $p->tanggal_kembali }}</td>
        <td>Rp. {{ number_format($p->jumlah_harga) }}</td>
      </tr>
      @endforeach
      <tr>
        <td colspan="5" class="text-right">
          <strong>Total</strong>
        </td>
        <td>
          <strong>Rp. {{number_format($p->pesanan->total_harga)}}</strong>
        </td>
      </tr>
    </table>
  </div>
  @endif

</div>

@endsection